Package org.jsoup.select

# Class Evaluator.IsNthLastOfType

java.lang.Object
org.jsoup.select.Evaluator
org.jsoup.select.Evaluator.CssNthEvaluator
org.jsoup.select.Evaluator.IsNthLastOfType

Direct Known Subclasses:
  `Evaluator.IsLastOfType`

Enclosing class:
  `Evaluator`

public static class Evaluator.IsNthLastOfType extends Evaluator.CssNthEvaluator

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jsoup.select.Evaluator

`Evaluator.AllElements, Evaluator.Attribute, Evaluator.AttributeKeyPair, Evaluator.AttributeStarting, Evaluator.AttributeWithValue, Evaluator.AttributeWithValueContaining, Evaluator.AttributeWithValueEnding, Evaluator.AttributeWithValueMatching, Evaluator.AttributeWithValueNot, Evaluator.AttributeWithValueStarting, Evaluator.Class, Evaluator.ContainsData, Evaluator.ContainsOwnText, Evaluator.ContainsText, Evaluator.ContainsWholeOwnText, Evaluator.ContainsWholeText, Evaluator.CssNthEvaluator, Evaluator.Id, Evaluator.IndexEquals, Evaluator.IndexEvaluator, Evaluator.IndexGreaterThan, Evaluator.IndexLessThan, Evaluator.IsEmpty, Evaluator.IsFirstChild, Evaluator.IsFirstOfType, Evaluator.IsLastChild, Evaluator.IsLastOfType, Evaluator.IsNthChild, Evaluator.IsNthLastChild, Evaluator.IsNthLastOfType, Evaluator.IsNthOfType, Evaluator.IsOnlyChild, Evaluator.IsOnlyOfType, Evaluator.IsRoot, Evaluator.Matches, Evaluator.MatchesOwn, Evaluator.MatchesWholeOwnText, Evaluator.MatchesWholeText, Evaluator.MatchText, Evaluator.Tag, Evaluator.TagEndsWith`

## Field Summary

### Fields inherited from class org.jsoup.select.Evaluator.CssNthEvaluator

`a, b`

## Constructor Summary

Constructors
Constructor
Description
`IsNthLastOfType(int a, int b)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`calculatePosition(Element root, Element element)`
`protected String`
`getPseudoClass()`

### Methods inherited from class org.jsoup.select.Evaluator.CssNthEvaluator

`matches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IsNthLastOfType

public IsNthLastOfType(int a, int b)

## Method Details

### calculatePosition

protected int calculatePosition(Element root, Element element)

Specified by:
  `calculatePosition` in class `Evaluator.CssNthEvaluator`

### getPseudoClass

protected String getPseudoClass()

Specified by:
  `getPseudoClass` in class `Evaluator.CssNthEvaluator`